Upgrade notes (2.4 to 2.5)

Heads Up!

To upgrade Optimize to version 2.5.0 please perform the following steps first: Migration & Upgrade Instructions.

Here you will find information about:

  • limitations,
  • known issues,
  • changes in the supported environments,
  • any unexpected behvavior of Optimize (e.g due to a new feature)

Limitations

If you intend to make use of the new Multi-Tenancy-Feature you need to perform a full reimport and you also may need to amend your existing reports by selecting the tenant you want the report to be based on

Known issues

There are required changes for plugins implementing VariableImportAdapter. If you use such a plugin please perform the following steps:

  • in the plugin update the Optimize plugin dependency to version 2.5
  • the class PluginVariableDto now contains the new field tenantId. Depending on your plugin implementation it might be necessary to include handling this field to not lose it on import.
  • build the new version of the plugin and replace the old jar with the new one